[Rpm-ecosystem] rpm-4.14.0

Baho Utot baho-utot at columbus.rr.com
Thu Oct 26 11:09:37 UTC 2017



On 10/26/17 00:34, Neal Gompa wrote:
> On Wed, Oct 25, 2017 at 6:02 PM, Baho Utot <baho-utot at columbus.rr.com> wrote:
>> When building on a raspberry-pi 2:
>>
>> tar xvf rpm-4.14.0.tar.bz2
>> cd rpm-4.14.0
>> tar ../db-4.5.20.tar.gz
>> ln -s db-4.5.10 db
>> ./autogen.sh --noconfigure
>> ./configure --with-crypto=openssl --without-lua
>> make
>>
>> Fails with file not found db.h
>>
>> When I do the same with rpm-4.13.0.1 it works as then configure stage
>> creates db.h
> 
> If those are actually your steps, I see at least two things wrong:
> 
> 1. I think the minimum is BDB 4.8 (though BDB 5 is recommended)
> 2. The symlink you're creating isn't valid, as the path is wrong.
> 
> 


this also happens when using 6.0 and later also.

what is wrong with the symlink?  It is from the INSTALL doc from the rpm 
and I have used it since rpm 4.10, several years


This is from the INSTALL doc verbatium

  To use this method, download a recent version of BDB from the URL above,
    expand the tarball into rpm source directory root and create "db" 
symlink
    to it, eg:
    $ wget http://download.oracle.com/berkeley-db/db-4.5.20.tar.gz
    $ tar xzf db-4.5.20.tar.gz
    $ ln -s db-4.5.20 db
    $ ./configure [other options...]



More information about the Rpm-ecosystem mailing list